All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.wizard2
Class SummaryPage

    com.sas.swing.visuals.wizard2.SummaryPage

All Implemented Interfaces:
  WizardPageInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class SummaryPage

A subclass of `BaseWizardPage` provided as a convenience class to be used as a summary page in a wizard. The `BaseWizardPage` contains a single component, a `JTextArea` object, which can be accessed by invoking the method `getTextArea`. Methods may be called on this object to add summary information.

See Also:
  `Wizard`, `BaseWizardPage`, `JTextArea`, Serialized Form

Field Summary
`protected javax.swing.JScrollPane` | `scrollPane` The `JScrollPane` object that contains the `textArea`
`protected javax.swing.JTextArea` | `textArea` A `JTextArea` object with the background color set to the same color as the `SummaryPage`, and line-wrapping set to true.

Fields inherited from class com.sas.swing.visuals.wizard2.BaseWizardPage
`image, isBackEnabled, isNextEnabled, pageInfo, wizard`

Fields inherited from interface com.sas.swing.visuals.wizard.WizardPageInterface
`EXPLICIT_SET, FIRST_TIME_SHOWN, NEXT, PREVIOUS`

Constructor Summary
`SummaryPage(Wizard wizard, java.lang.String pageInfo)` Creates a `SummaryPage` with a `BorderLayout` layout manager, and a `JTextArea` object, `textArea`, added to the center.

Method Summary
`javax.swing.JScrollPane` | `getScrollPane()` Returns the `JScrollPane` object that contains the `textArea`.
`javax.swing.JTextArea` | `getTextArea()` Returns the `JTextArea` object, `textArea`.

Methods inherited from class com.sas.swing.visuals.wizard2.BaseWizardPage
`cleanup, getPageInfo, getStatusImage, hidePage, isButtonEnabled, setButtonEnabled, setPageInfo, setStatusImage, showPage`

Field Detail

### textArea

    protected javax.swing.JTextArea textArea

  A `JTextArea` object with the background color set to the same color as the `SummaryPage`, and line-wrapping set to true.

### scrollPane

    protected javax.swing.JScrollPane scrollPane

  The `JScrollPane` object that contains the `textArea`

Constructor Detail

### SummaryPage

    public SummaryPage(Wizard wizard,
                       java.lang.String pageInfo)

  Creates a `SummaryPage` with a `BorderLayout` layout manager, and a `JTextArea` object, `textArea`, added to the center.

  Parameters:
    `wizard` - the Wizard object to which this page belongs
    `pageInfo` - a String specifying information about the page

Method Detail

### getTextArea

    public javax.swing.JTextArea getTextArea()

  Returns the `JTextArea` object, `textArea`.

  Returns:
    the JTextArea object, textArea
  See Also:
    `textArea`

### getScrollPane

    public javax.swing.JScrollPane getScrollPane()

  Returns the `JScrollPane` object that contains the `textArea`.

  Returns:
    the JScrollPane object, scrollPane
  See Also:
    `scrollPane`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.